what IOS to support IPV6 and 2610

Unanswered Question
Jul 13th, 2007

I saw a way to load larger IOS than what the flash supports on the 2610 and 2651 platforms, by going into ROMMON and doing a tftpdnld -r. This will download, but I cannot find a IOS that will boot as it says not enough memory to load iOS. I have 96 meg of DRAM and 16mb flash. Anyone doing this and if so, what image are you using? I need this to study for the R/S again after 3 year absence and all my 2500's are obsolete. I got some 2600's, but they are are not the xm version and this should work. Thanks!

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
tperrier Mon, 07/16/2007 - 02:35

This one is nice too: c2600-js-mz.122-15.T17.bin

Enterprise 12.2(15)T17, requires 64/16

By the way, there's no way your 2610 can have 96 MB of RAM, as the maximum is 64.

miwitte Mon, 07/16/2007 - 06:36

the 2651 has 96 MB. I will look at those images tonight thanks for the input. If that works, I will upgrade the 2651's to 32/128, and use the flash and DRAM from the 2651's and put it in the 2611's. Any advise for a image that will run 32 mb or should I bother? I want to be able to run throught the IPV6 LAB book from CCBOOTCAMP and will probably use IPEXPERT for the rest of my studies. I think I will need 2 more routers(2651xm's) to run 12.4 or can I get away with the 4 2600's and the 10 2500's I have? Thanks again!!

tperrier Tue, 07/17/2007 - 02:20

Ah sorry, I missed that you also have a 2651, and this one can handle up to 128 MB.

However you won't be able to swap DRAM between the 2610 and 2651, as they use a different type of memory:

Cisco 2600 series routers use two types of dynamic memory:

?5-V EDO DRAM DIMMs (Cisco 2610, Cisco 2611, Cisco 2612, Cisco 2613, Cisco 2620, and Cisco 2621 routers)

?3.3-V SDRAM DIMMs (Cisco 26xxXM, Cisco 2650, Cisco 2651, and Cisco 2691 routers)

miwitte Mon, 07/16/2007 - 08:28

Looks like c2600-js-mz.122-15.T17.bin is not out there any more. Software advisor can't find it. Also I am getting some more flash and DRAm for the 2651's, what the latest greatest IOS that anyone is running on that combo. Looks like I will need to get some 2651xm to get full 12.4 IPV6 support.

tperrier Tue, 07/17/2007 - 02:24

You can ask the TAC for IOS versions not on the web site anymore, if you have adequate support contracts.

As for 12.4, you'll need 2600XM routers like your 2651 (but a lower 2610XM is fine too). 128/32 will allow to run the full monty: 12.4 Advanced Enterprise Services.

miwitte Tue, 07/17/2007 - 06:01

I have not been able to find a image that will run on a 2651 that will support OSPFv3 and RIPng. They all appear to be end of lifed. Once I go to the XM series its fine, but I need 48mb flash so I will have to get some more hardware. Looks like the 2651's and 2611's are NG for labing things up so far.

tperrier Tue, 07/17/2007 - 08:18

Just for clarification:

> As for 12.4, you'll need 2600XM routers like your 2651 (but a lower 2610XM is fine too).

I meant:

As for 12.4, you'll need 2600XM routers like the 2651XM you mentioned (but a lower 2610XM is fine too).

miwitte Wed, 07/18/2007 - 10:02

Hey I got that image from TAC(c2600-js-mz.122-15.T17), but its 17mb don't think I will be able to get it on a 16 mb flash. Can probably boot from DRAM though.


This Discussion